> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crazyrouter.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Runway

> Use the Runway API for image-to-video generation

> Дата обновления: 2026-06-06

# Runway

```
POST /runwayml/v1/image_to_video
```

Use the Runway Gen-3 model to convert images into videos.

## Request Parameters

| Parameter     | Type    | Required | Description                         |
| ------------- | ------- | -------- | ----------------------------------- |
| `model`       | string  | No       | Model name, e.g. `gen3a_turbo`      |
| `promptImage` | string  | Yes      | Input image URL                     |
| `promptText`  | string  | No       | Video description prompt            |
| `duration`    | integer | No       | Video duration (seconds), default 5 |
| `ratio`       | string  | No       | Aspect ratio: `16:9`, `9:16`        |
| `watermark`   | boolean | No       | Whether to add a watermark          |

## Request Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://api.crazyrouter.com/runwayml/v1/image_to_video \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -d '{
      "model": "gen3a_turbo",
      "promptImage": "https://example.com/landscape.jpg",
      "promptText": "Camera slowly pans across the landscape, clouds moving in the sky",
      "duration": 5,
      "ratio": "16:9",
      "watermark": false
    }'
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.crazyrouter.com/runwayml/v1/image_to_video",
      headers={
          "Content-Type": "application/json",
          "Authorization": "Bearer YOUR_API_KEY"
      },
      json={
          "model": "gen3a_turbo",
          "promptImage": "https://example.com/landscape.jpg",
          "promptText": "Camera slowly pans across the landscape",
          "duration": 5,
          "ratio": "16:9"
      }
  )

  print(response.json())
  ```
</CodeGroup>

### Response Example

```json theme={null}
{
  "id": "runway_task_abc123",
  "status": "PENDING"
}
```

***

## Query Task

```
GET /runwayml/v1/tasks/{task_id}
```

```bash cURL theme={null}
curl https://api.crazyrouter.com/runwayml/v1/tasks/runway_task_abc123 \
  -H "Authorization: Bearer YOUR_API_KEY"
```

### Response Example (Completed)

```json theme={null}
{
  "id": "runway_task_abc123",
  "status": "SUCCEEDED",
  "output": [
    "https://runway-output.s3.amazonaws.com/..."
  ]
}
```

### Task Status

| Status      | Description             |
| ----------- | ----------------------- |
| `PENDING`   | Waiting to be processed |
| `RUNNING`   | Generating              |
| `SUCCEEDED` | Succeeded               |
| `FAILED`    | Failed                  |
